Bug 705376 - Review Request: perl-MIME-Lite-HTML - Provide routine to transform a HTML page in a MIME-Lite mail
Summary: Review Request: perl-MIME-Lite-HTML - Provide routine to transform a HTML pag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 705382
TreeView+ depends on / blocked
 
Reported: 2011-05-17 14:30 UTC by Xavier Bachelot
Modified: 2011-06-10 13:27 UTC (History)
3 users (show)

Fixed In Version: perl-MIME-Lite-HTML-1.23-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-02 19:06:10 UTC
Type: ---
emmanuel: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Xavier Bachelot 2011-05-17 14:30:23 UTC
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-MIME-Lite-HTML.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-MIME-Lite-HTML-1.23-1.fc14.src.rpm
Description: 
This module is a Perl mail client interface for sending message that
support HTML format and build them for you.. This module provides routine to
transform an HTML page in a MIME::Lite mail. So you need this module to use
MIME-Lite-HTML possibilities.

Comment 1 Emmanuel Seyman 2011-05-18 21:45:57 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-05-18 22:46:19 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [!] Package meets the Packaging Guidelines including the Perl specific items

Requires:       perl(HTML::LinkExtor)
Requires:       perl(LWP::UserAgent)
Requires:       perl(MIME::Lite) >= 1
Requires:       perl(Test::More)
Requires:       perl(URI::URL)

perl(Test::More) is a BuildRequires, not a Requires as far as I can see.
All of the others are detected by auto-Requires. There is no need to include
them by hand. There is no need to version the requirement perl(MIME::Lite).
Please fix these.

Please consider removing the obsolete BuildRoot cleaning in %install section.
Please consider removing the already implicit %defattr in %files section.

 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3080250

 [x] Rpmlint output:
perl-MIME-Lite-HTML.noarch: E: incorrect-fsf-address /usr/share/doc/perl-MIME-Lite-HTML-1.23/COPYING
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

This again? Xavier, please consider filing a bug upstream to correct this.


 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

While this is correct, it's only used in EPEL5.
In any other branch, this will be ignored.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.

Again, please file a bug with upstream asking them to update their COPYING file.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
d7a6ac0660dd5b5cc5db000fc68b9630  MIME-Lite-HTML-1.23.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
Note that the defattr section is no longer required.

 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: 
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=195,  1 wallclock secs ( 0.13 usr  0.01 sys +  0.99 cusr  0.24 csys =  1.37 CPU)
Result: PASS

NOT APPROVED.

Comment 3 Xavier Bachelot 2011-05-19 08:15:31 UTC
(In reply to comment #2)

>  [!] Package meets the Packaging Guidelines including the Perl specific items
> 
> Requires:       perl(HTML::LinkExtor)
> Requires:       perl(LWP::UserAgent)
> Requires:       perl(MIME::Lite) >= 1
> Requires:       perl(Test::More)
> Requires:       perl(URI::URL)
> 
> perl(Test::More) is a BuildRequires, not a Requires as far as I can see.
> All of the others are detected by auto-Requires. There is no need to include
> them by hand. There is no need to version the requirement perl(MIME::Lite).
> Please fix these.
>

Fixed. cpanspec was overzealous and I was too lazy when checking the spec :-(.
 
> Please consider removing the obsolete BuildRoot cleaning in %install section.
> Please consider removing the already implicit %defattr in %files section.
> 
Needed for EL 5 and I'd rather keep the spec branches sync'ed.

>  [x] Rpmlint output:
> perl-MIME-Lite-HTML.noarch: E: incorrect-fsf-address
> /usr/share/doc/perl-MIME-Lite-HTML-1.23/COPYING
> 2 packages and 1 specfiles checked; 1 errors, 0 warnings.
> 
> This again? Xavier, please consider filing a bug upstream to correct this.
> 

Done : https://rt.cpan.org/Public/Bug/Display.html?id=68303

>  [x] Buildroot is correct
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> While this is correct, it's only used in EPEL5.
> In any other branch, this will be ignored.
> 
See above, I'm targeting EL5 too.

>  [x] If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package is included in %doc.
> 
> Again, please file a bug with upstream asking them to update their COPYING
> file.
>

See above.

Spec URL: http://www.bachelot.org/fedora/SPECS/perl-MIME-Lite-HTML.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-MIME-Lite-HTML-1.23-2.fc14.src.rpm

Comment 4 Emmanuel Seyman 2011-05-21 09:09:59 UTC
(In reply to comment #3)
>
> Fixed. cpanspec was overzealous and I was too lazy when checking the spec :-(.

Thank you.

> > This again? Xavier, please consider filing a bug upstream to correct this.
> 
> Done : https://rt.cpan.org/Public/Bug/Display.html?id=68303

Thanks.

> Spec URL: http://www.bachelot.org/fedora/SPECS/perl-MIME-Lite-HTML.spec
> SRPM URL:
> http://www.bachelot.org/fedora/SRPMS/perl-MIME-Lite-HTML-1.23-2.fc14.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=3085051
All problems are fixed.

APPROVED.

Comment 5 Xavier Bachelot 2011-05-21 10:01:44 UTC
New Package SCM Request
=======================
Package Name: perl-MIME-Lite-HTML
Short Description: Provide routine to transform a HTML page in a MIME-Lite mail
Owners: xavierb
Branches: f14 f15 el5 el6
InitialCC: perl-sig


Thanks for the review Emmanuel :-)

Comment 6 Jason Tibbitts 2011-05-23 17:42:45 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-05-24 22:00:32 UTC
perl-MIME-Lite-HTML-1.23-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.23-2.fc15

Comment 8 Fedora Update System 2011-05-24 22:00:41 UTC
perl-MIME-Lite-HTML-1.23-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.23-2.el6

Comment 9 Fedora Update System 2011-05-24 22:00:49 UTC
perl-MIME-Lite-HTML-1.23-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.23-2.fc14

Comment 10 Fedora Update System 2011-05-25 16:04:27 UTC
perl-MIME-Lite-HTML-1.23-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2011-06-02 19:06:04 UTC
perl-MIME-Lite-HTML-1.23-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-06-09 07:53:38 UTC
perl-MIME-Lite-HTML-1.23-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2011-06-10 13:27:53 UTC
perl-MIME-Lite-HTML-1.23-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.